## junior-doc 1.16.1

=== quickguide/Makefile ===
#
# Makefile for the Debian Jr. Quick Guide
#

SRCS = junior-quickguide.sgml

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/junior-doc.html

all: html txt ps

publish: junior-quickguide.html/index.html
	test -d $(PUBLISHDIR)/junior-quickguide || install -d -m 755 $(PUBLISHDIR)/junior-quickguide
	rm -f $(PUBLISHDIR)/junior-quickguide/*.html
	install -p -m 644 junior-quickguide.html/*.html $(PUBLISHDIR)/junior-quickguide/

faqdynamic.ent:
	echo "<!entity docdate \"$(shell date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall junior-quickguide.sgml

html junior-quickguide.html/index.html: $(SRCS)
	debiandoc2html $<

txt junior-quickguide.txt: $(SRCS)
	debiandoc2text $<

ps junior-quickguide.ps: $(SRCS)
	debiandoc2latexps $<

dvi junior-quickguide.dvi: $(SRCS)
	debiandoc2latexdvi $<

pdf junior-quickguide.pdf: $(SRCS)
	debiandoc2latexpdf $<

info junior-quickguide.info: $(SRCS)
	debiandoc2info $<

clean distclean:
	rm -rf junior-quickguide.html
	rm -f junior-quickguide.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

## junior-doc 1.15

=== debian/changelog ===
junior-doc (1.15) unstable; urgency=low

  * Typo corrected (#136523).

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  3 Mar 2002 08:26:39 -0400

junior-doc (1.14) unstable; urgency=low

  * Related documents section renamed "Suggested reading".
  * Typos and other cosmetic little fixups.
  * Provide example script list-junior to make an HTML table of what
    Debian Jr. components are currently installed.
  * Mention list-junior in doc.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Mon, 25 Feb 2002 17:26:07 -0400

junior-doc (1.13) unstable; urgency=low

  * Make note about processor not so x86-centric.
  * Lots more stuff: apt-get vs. dselect, more prominent Social
    Contract, etc. with a view to providing more detail to those
    who may be completely new to Debian.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Feb 2002 14:09:13 -0400

junior-doc (1.12) unstable; urgency=low

  * Touch up Gnome/KDE instructions.
  * Include reference to dselect beginner doc.
  * Separate user/developer appeal to contribute into different
    chapters, with the latter now in "Can you help?"
  * Don't just mention how to file bugs, explain why and invite
    participation.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Feb 2002 11:53:28 -0400

junior-doc (1.11) unstable; urgency=low

  * Use typeface styles consistently.
  * Improve flow, structure of installation steps, dividing into
    sections and enumerated lists.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 25 Feb 2002 10:09:24 -0400

junior-doc (1.10) unstable; urgency=low

  * Fixed some typos.  Expanded "about" section some more.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Fri, 22 Feb 2002 11:24:50 -0400

junior-doc (1.9) unstable; urgency=low

  * Introduce the term "guide".
  * Make the distinction between guide and sys admin.
  * Restructure document a bit to improve flow and focus.
  * Consider the case where not all components are to be installed.
  * Expand a bit on "getting started".

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Fri, 22 Feb 2002 11:03:22 -0400

junior-doc (1.8) unstable; urgency=low

  * Blow our own horn a bit in the introduction.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 21 Feb 2002 11:26:34 -0400

junior-doc (1.7) unstable; urgency=low

  * Fixed copyright.  We now attribute copyright to the authors, as we
    never formally went through the FSF attribution process.
  * Major edit, restructuring and cutting out cruft to make the quickguide
    easier to digest.
  * Hard drive space prerequisite added, and all prereqs grouped together
    in new chapter.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Mon, 18 Feb 2002 12:13:17 -0400

junior-doc (1.6) unstable; urgency=low

  * Quickguide expanded with "What Now?" and "Problems" section,
    citing bug #114721 in the latter.
  * "Getting Started" section expanded, noting that for a fresh
    system install, the "X Window System" task is needed, along
    with either a desktop environment task or a window manager.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 17 Feb 2002 20:13:53 -0400

junior-doc (1.5) unstable; urgency=low

  * Fixed doc dir.
  * Fixed build deps to be -Indep.

 -- Ben Armstrong <synrg@fountain.nslug.ns.ca>  Tue, 18 Dec 2001 12:14:30 -0400

junior-doc (1.4) unstable; urgency=low

  * Install now uses tasksel.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 13 Dec 2001 07:46:08 -0400

junior-doc (1.3) unstable; urgency=low

  * Fixed long description.  (Closes: #97238)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 12 May 2001 21:39:51 -0300

junior-doc (1.2) unstable; urgency=low

  * Fixed copyright.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed,  9 May 2001 08:39:23 -0300

junior-doc (1.1) unstable; urgency=low

  * Expanded "getting started" section.
  * Added "reporting bugs".
  * Misc other revs, including adding myself as co-author.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 28 Apr 2001 13:04:04 -0300

junior-doc (1.0) unstable; urgency=low

  * Initial release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 18 Apr 2001 11:33:52 -0300

=== debian/control ===
Source: junior-doc
Section: doc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Standards-Version: 3.5.6
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra

Package: junior-doc
Architecture: all
Suggests: www-browser, postscript-viewer
Description: Debian Jr. Documentation
 Includes, for the moment, just the "Quick Guide" which helps a new user
 of Debian Jr. get started.  The intention of the Debian Jr. working
 group is to provide a variety of additional documents to help children
 and sys admins alike with the installation, configuration, and use of a
 Debian Jr. system.

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/junior-doc
examplesdir = $(docdir)/examples
scriptsdir = $(examplesdir)/scripts

build: stamp-build
stamp-build:
	test -d quickguide -a -f debian/rules
	cd quickguide && $(MAKE) html txt ps
	cd quickguide && gzip -9 junior-quickguide.txt junior-quickguide.ps
	touch $@

clean:
	test -d quickguide -a -f debian/rules
	test "`id -u`" -eq 0
	cd quickguide && $(MAKE) clean
	rm -rf $(tmp)
	rm -f quickguide/*.gz stamp-build debian/files `find . -name "*~"`

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d quickguide -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir) $(docdir)/quickguide \
          $(examplesdir) $(scriptsdir) $(tmp)/usr/share/doc-base
	cd quickguide && install -m 644 junior-quickguide.txt.gz \
		    junior-quickguide.ps.gz \
                    junior-quickguide.html/* $(docdir)/quickguide

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(docdir)
	install -m 755 scripts/list-junior $(scriptsdir)
	gzip -c9 debian/changelog > $(docdir)/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# If we were including the quickguide in ftp/doc, we would do the
# following, similar to doc-debian.  But while the project is still
# immature, we will not upload these materials.  Instead, we will
# just distribute them from the Debian Jr. website.  If this is ever
# enabled, it needs to be OK'd by ftpmaster@d.o
#
# The extra-package files:
#	cd quickguide/junior-quickguide.html && GZIP=-9 tar czf ../../../junior-quickguide.html.tar.gz *
#	cp quickguide/junior-quickguide.txt.gz quickguide/junior-quickguide.ps.gz ../
#	dpkg-distaddfile junior-quickguide.html.tar.gz byhand -
#	dpkg-distaddfile junior-quickguide.txt.gz byhand -
#	dpkg-distaddfile junior-quickguide.ps.gz byhand -

.PHONY: build clean binary binary-arch binary-indep

## junior-doc 1.16

=== debian/changelog ===
junior-doc (1.16) unstable; urgency=low

  * Lowered priority to extra.
  * Removed obsolete doc symlink/unlink from prerm, postinst.
  * Updated to match developments since pre-woody release.
  * Renamed list-junior to list-junior.sh, removed executable bit,
    requiring invocation as "sh list-junior.sh" as there should be
    no executables in a doc dir.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 23 Mar 2003 15:09:47 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: junior-doc
 Section: doc
-Priority: optional
+Priority: extra
 Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
-Standards-Version: 3.5.6
+Standards-Version: 3.5.9
 Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
 
 Package: junior-doc

## junior-doc 1.16ubuntu1

=== debian/changelog ===
junior-doc (1.16ubuntu1) lucid; urgency=low

  * Adjust dependencies for the tetex-bin transition. Thanks to Ilya Barygin.

 -- James Westby <james.westby@ubuntu.com>  Thu, 15 Apr 2010 11:55:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: junior-doc
 Section: doc
 Priority: extra
-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
 Standards-Version: 3.5.9
-Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra
+Build-Depends-Indep: debiandoc-sgml, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
 
 Package: junior-doc
 Architecture: all

## junior-doc 1.16.1

=== debian/changelog ===
junior-doc (1.16.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete tetex-bin and tetex-extra to
      texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended.
      Patch thanks to Ilya Barygin <barygin@gmail.com>.
      (FTBFS RC bug; Closes: #562324).

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 28 Mar 2010 13:42:45 +0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: junior-doc
 Section: doc
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
+Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
 Standards-Version: 3.5.9
 Build-Depends-Indep: debiandoc-sgml, texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
+
 
 Package: junior-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
 	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
 	install -m 644 debian/copyright $(docdir)
-	install -m 755 scripts/list-junior $(scriptsdir)
+	install -m 644 scripts/list-junior.sh $(scriptsdir)
 	gzip -c9 debian/changelog > $(docdir)/changelog.gz
 	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
 	dpkg-gencontrol -isp

## junior-doc 1.16.2

=== Makefile ===
all:
	$(MAKE) -C quickguide $@

%:
	$(MAKE) -C quickguide $@
	$(MAKE) -C scripts $@

.PHONY: all

=== debian/changelog ===
junior-doc (1.16.2) unstable; urgency=medium

  * QA upload.
  * Switch to 3.0 (native) source package format (no changes)
  * d/control:
    - Switch priority to optional
    - Set maintainer to Debian QA Group (Orphan bug: #848987)
    - Add Homepage and Vcs fields pointing to salsa
    - Add Rules-Requires-Root: no
    - Bump Std-Version to 4.5.0
  * Convert copyright to DEP-5
  * Convert build system to dh:
    - Add debhelper-compat (= 13) as Build-Depends
    - Add missing ${misc:Depends}
    - Rewrite rules using dh
  * Add a makefile to install the scripts
  * Add a makefile target to install built docs
  * Add a top makefile calling the ones in scripts/ and quickguide/
  * Move doc-base registration file to debian/
  * Drop unused postinst/prerm (replaced by dh_installdocs)
  * Add lintian override for the synopsis abbreviation
  * Make the build reproducible:
    - Fix build language to English
    - Force dvips to use the changelog timestamp
    - In the docs, replace the <date> tag by a 'date' entity, generated from
      the changelog timestamp and stored in date.xml
    - Use the changelog timestamp for generating faqdynamic.ent
  * Simplify version extraction for faqdynamic.ent
  * Add salsa CI pipeline

 -- Baptiste Beauplat <lyknode@cilg.org>  Mon, 05 Oct 2020 19:35:39 +0200

=== debian/control ===
Source: junior-doc
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: debiandoc-sgml,
                     texlive-latex-recommended,
                     texlive-latex-extra,
                     texlive-fonts-recommended
Homepage: https://salsa.debian.org/debian/junior-doc
Vcs-Git: https://salsa.debian.org/debian/junior-doc.git
Vcs-Browser: https://salsa.debian.org/debian/junior-doc
Rules-Requires-Root: no

Package: junior-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: www-browser, postscript-viewer
Description: Debian Jr. Documentation
 Includes, for the moment, just the "Quick Guide" which helps a new user
 of Debian Jr. get started.  The intention of the Debian Jr. working
 group is to provide a variety of additional documents to help children
 and sys admins alike with the installation, configuration, and use of a
 Debian Jr. system.

## junior-doc 1.16.3

=== quickguide/Makefile ===
#
# Makefile for the Debian Jr. Quick Guide
#

SRCS = junior-quickguide.sgml

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/junior-doc.html

# Always use the same date for the docs (for reproducible builds)
export FORCE_SOURCE_DATE := 1
export SOURCE_DATE_EPOCH ?= $(shell cd .. && dpkg-parsechangelog -S Timestamp)
SOURCE_DATE = $(shell LC_ALL=C date -u -d @$(SOURCE_DATE_EPOCH) +'%-d %B %Y')

all: html txt ps

publish: junior-quickguide.html/index.html
	test -d $(PUBLISHDIR)/junior-quickguide || install -d -m 755 $(PUBLISHDIR)/junior-quickguide
	rm -f $(PUBLISHDIR)/junior-quickguide/*.html
	install -p -m 644 junior-quickguide.html/*.html $(PUBLISHDIR)/junior-quickguide/

install: all
	install -d -m 755 $(DESTDIR)/usr/share/doc/junior-doc/quickguide
	install -m 644 junior-quickguide.html/*.html \
	    $(DESTDIR)/usr/share/doc/junior-doc/quickguide
	install -m 644 junior-quickguide.ps junior-quickguide.txt \
	    $(DESTDIR)/usr/share/doc/junior-doc/quickguide

faqdynamic.ent:
	echo "<!entity docdate \"$(SOURCE_DATE)\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"`cd .. && dpkg-parsechangelog -S Version`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

date.xml:
	echo '<?xml version="1.0" encoding="utf-8"?>' > date.xml
	echo '<!ENTITY date "$(SOURCE_DATE)">' >> date.xml

validate:
	nsgmls -ges -wall junior-quickguide.sgml

$(SRCS): date.xml

html junior-quickguide.html/index.html: $(SRCS)
	debiandoc2html -l en $<

txt junior-quickguide.txt: $(SRCS)
	debiandoc2text -l en $<

ps junior-quickguide.ps: $(SRCS)
	debiandoc2latexps -l en $<

dvi junior-quickguide.dvi: $(SRCS)
	debiandoc2latexdvi -l en $<

pdf junior-quickguide.pdf: $(SRCS)
	debiandoc2latexpdf -l en $<

info junior-quickguide.info: $(SRCS)
	debiandoc2info -l en $<

clean distclean:
	rm -rf junior-quickguide.html
	rm -f junior-quickguide.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f *~ .*~ core tsa*
	rm -f date.xml

.PHONY: all publish clean distclean validate install

=== scripts/Makefile ===
install:
	install -D -m 644 list-junior.sh \
	    $(DESTDIR)/usr/share/doc/junior-doc/examples/scripts/list-junior.sh

=== debian/changelog ===
junior-doc (1.16.3) unstable; urgency=low

  [ Stefan Kropp ]
  * Set maintainer to DebianJr team
  * Added myself to uploader (Closes: #848987)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + junior-doc: Add Multi-Arch: foreign.

 -- Stefan Kropp <stefan.kropp@posteo.de>  Thu, 16 Dec 2021 21:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: junior-doc
 Section: doc
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.5.0
+Maintainer: Debian Junior <debian-jr@lists.debian.org>
+Uploaders: Stefan Kropp <stefan.kropp@posteo.de>
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: debiandoc-sgml,
                      texlive-latex-recommended,
@@ -17,6 +18,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: www-browser, postscript-viewer
+Multi-Arch: foreign
 Description: Debian Jr. Documentation
  Includes, for the moment, just the "Quick Guide" which helps a new user
  of Debian Jr. get started.  The intention of the Debian Jr. working

=== debian/rules ===
#!/usr/bin/make -f

# The debiandoc2* commands used in the quickguide Makefile cannot run in
# parallel as they use the same temporary files.
%:
	dh $@ --no-parallel

## junior-doc 1.16.3build1

=== debian/changelog ===
junior-doc (1.16.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 08 Dec 2025 11:28:59 +0100
